Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 682364 - media-libs/dav1d: missing dependency: dev-lang/nasm
Summary: media-libs/dav1d: missing dependency: dev-lang/nasm
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Luca Barbato
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-02 19:35 UTC by Thomas Sachau
Modified: 2019-09-20 01:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,4.68 KB, text/plain)
2019-04-02 19:35 UTC, Thomas Sachau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Sachau gentoo-dev 2019-04-02 19:35:17 UTC
Created attachment 571680 [details]
build.log

emerge --info:

Portage 2.3.62-multilib (python 2.7.16-final-0, default/linux/amd64/17.0/hardened, gcc-8.2.0, glibc-2.29-r1, 4.19.19-gentoo x86_64)
=================================================================
System uname: Linux-4.19.19-gentoo-x86_64-Intel-R-_Core-TM-_i7-4790_CPU_@_3.60GHz-with-gentoo-2.6
KiB Mem:    32856976 total,   3846392 free
KiB Swap:    1048572 total,   1048572 free
Head commit of repository gentoo: 624bab09f7e792baea6716ade0746499497b34d6

sh bash 5.0_p2-r2
ld GNU ld (Gentoo 2.31.1 p5) 2.31.1
app-shells/bash:          5.0_p2-r2::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.0::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.8::gentoo
dev-util/cmake:           3.13.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.16::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.14.1-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r4::gentoo, 2.32::gentoo
sys-devel/gcc:            5.4.0-r6::gentoo, 7.3.0-r6::gentoo, 8.2.0-r6::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.0-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git+ssh://git@git.gentoo.org/repo/gentoo.git
    priority: -1000
    eclass-overrides: gentoo local

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0
    eclass-overrides: gentoo local

eclipse
    location: /var/lib/layman/eclipse
    masters: gentoo
    priority: 50
    eclass-overrides: gentoo local

enlightenment
    location: /var/lib/layman/enlightenment
    masters: gentoo
    priority: 50
    eclass-overrides: gentoo local

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 50
    eclass-overrides: gentoo local

multilib-portage
    location: /var/lib/layman/multilib-portage
    masters: gentoo
    priority: 50
    eclass-overrides: gentoo local

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 50
    eclass-overrides: gentoo local

Installed sets: @fonts
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs collision-protect distlocks ebuild-locks fixlafiles force-multilib ipc-sandbox merge-sync metadata-transfer network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms sign splitdebug strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="en de"
MAKEOPTS="-j6 --load-average=8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow X alsa amd64 crypt cups custom-cflags custom-cxxflags custom-optimization cxx gpm hardened java5 java6 libtirpc mmx ncurses nls nptl nsplugin ogg openmp opus pam pie readline scanner seccomp sse sse2 ssl ssp system-sqlite unicode v4l vorbis xattr xinerama xtpax zlib" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse" KERNEL="linux" L10N="en-GB de" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" MULTILIB_ABI="amd64 x86" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python3_6 python2_7 python2_6" RUBY_TARGETS="ruby25" SANE_BACKENDS="hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s hs2p" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Arfrever Frehtes Taifersar Arahesis 2019-04-03 01:56:12 UTC
Dependency on dev-lang/nasm is already in ebuild:
$ portageq metadata / ebuild media-libs/dav1d-0.2.1 DEPEND
asm? ( abi_x86_32? ( >=dev-lang/nasm-2.13 ) abi_x86_64? ( >=dev-lang/nasm-2.13 ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
$ 

Your build log shows that you have USE="asm" enabled.
You must have some other problem...
Comment 2 Thomas Sachau gentoo-dev 2019-04-06 11:31:10 UTC
My build.log also shows, that i have neither abi_x86_64 nor abi_x86_32 enabled, so there is no dependency on dev-lang/nasm for me.

Having a quick look at the ebuild, it seems like the intention was to only enable asm for the 64bit build. So why is there a condition on abi_x86_32?

It would probably be better to depend on amd64? instead of those abi_x86_* flags.
Comment 3 Arfrever Frehtes Taifersar Arahesis 2019-04-07 01:48:19 UTC
(In reply to Thomas Sachau from comment #2)
> My build.log also shows, that i have neither abi_x86_64 nor abi_x86_32
> enabled, so there is no dependency on dev-lang/nasm for me.

profiles/arch/amd64/use.force has abi_x86_64, so normally this USE flag would be forced for amd64 users.
Why is it not forced for you?
Is it caused by multilib Portage?

> Having a quick look at the ebuild, it seems like the intention was to only
> enable asm for the 64bit build. So why is there a condition on abi_x86_32?

abi_x86_32 != abi_x86_x32
The intention is to enable asm for abi_x86_32 and abi_x86_64, but not abi_x86_x32.
Comment 4 Aaron W. Swenson gentoo-dev 2019-04-07 23:00:39 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #1)
> Dependency on dev-lang/nasm is already in ebuild:
> $ portageq metadata / ebuild media-libs/dav1d-0.2.1 DEPEND
> asm? ( abi_x86_32? ( >=dev-lang/nasm-2.13 ) abi_x86_64? (
> >=dev-lang/nasm-2.13 ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
> $ 
> 
> Your build log shows that you have USE="asm" enabled.
> You must have some other problem...

For me, I get the following:

============================
Program nasm found: YES (/usr/bin/nasm)

meson.build:332:16: ERROR:  Problem encountered: nasm 2.13.02 or later is required, found nasm 2.13.01
============================

So, the dependency still needs to be fixed.
Comment 5 Ross Drummond 2019-09-20 01:06:09 UTC
(In reply to Aaron W. Swenson from comment #4)
> (In reply to Arfrever Frehtes Taifersar Arahesis from comment #1)
> > Dependency on dev-lang/nasm is already in ebuild:
> > $ portageq metadata / ebuild media-libs/dav1d-0.2.1 DEPEND
> > asm? ( abi_x86_32? ( >=dev-lang/nasm-2.13 ) abi_x86_64? (
> > >=dev-lang/nasm-2.13 ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
> > $ 
> > 
> > Your build log shows that you have USE="asm" enabled.
> > You must have some other problem...
> 
> For me, I get the following:
> 
> ============================
> Program nasm found: YES (/usr/bin/nasm)
> 
> meson.build:332:16: ERROR:  Problem encountered: nasm 2.13.02 or later is
> required, found nasm 2.13.01
> ============================
> 
> So, the dependency still needs to be fixed.

I encountered the same error as Arron. Emerging nasm to 2.14.02 resolved the error.